Subject: OT: Re: merging mingw and cygwin
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Mon, 13 Oct 2003 17:35:38 -0700

keeping in mind what someone else said about flame wars...

On 13 Oct 2003 at 15:45, Edward Peschko wrote:

> > Just because they are available does not mean you need to use them!
> > Look I asked you if you were able to build Windows only applications
> > using -mno-cygwin. You failed to answer that question. I'm able to
> > build such apps and you should be too. You are arguing about the
> > differences in implementations and assuming that there will be a
> > problem. Is there a problem for you or not?
> 
> Like I said, I'm not worried about my specific applications. I want
> cygwin to transparently and with no fuss - and correctly - build third
> party APIs, so I can properly link with them (and debug them if
> necessary).
> 
> > We can speculate from now until forever but until and unless you try
> > it you'll never know for sure. Let us know how you make out...
> 
> I did try it. With berkeleydb.  Read my previous post.
> 
> > Not sure what msys is at all...
> 
> msys is the group of tools that comes with mingw32 to facilitate
> building. rm, ln, etc. They work differently than cygwin tools.

Check your information.  As previously noted in another reply to this thread, Msys is not Mingw and Mingw is not 
Msys.

Mingw is not included with Msys.  Msys "can use" and "is capable of _recognizing_", Mingw.  Msys != Mingw.  Msys 
does not need Mingw to develop anything.

	Mingw and Msys are OT for this list.

	Paul G.

> 
> > >MINGW and/or NO_CYGWIN simply wrap all of this up in a nice user
> > >friendly package.
> 
> > Let us know how your first implementation of this concept goes...
> 
> Is this an OK from the developers of cygwin to do an implementation,
> with the results of that implementation being merged into cygwin? I
> don't want to spend a lot of time pursuing it if my results don't have
> a chance of being merged.
> 
> The last time I asked, the answer was no to this question.
> 
> Ed
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/